## NAME

g.findfile - Searches for GRASS data base files and sets variables for the shell.

## KEYWORDS

general, map management

## SYNOPSIS

g.findfile
g.findfile help
g.findfile [-n] element=string file=string [mapset=string] [--verbose] [--quiet]

### Flags:

-n
  Don't add quotes
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

element=string
  Name of an element
file=string
  Name of an existing map
mapset=string
  Name of a mapset
  Default:

## DESCRIPTION

g.findfile is designed for Bourne shell scripts that need to search for mapset elements, including: raster, vector maps, region definitions and imagery groups.

The list of element names to search for is not fixed; any subdirectory of the mapset directory is a valid element name.

However, the user can find the list of standard GRASS element names in the file $GISBASE/etc/element_list. This is the file which g.remove/g.rename/g.copy use to determine which files need to be deleted/renamed/copied for a given entity type.

## OUTPUT

g.findfile writes four lines to standard output:

    name='file_name'
    mapset='mapset_name'
    file='unix_filename'
    fullname='grass_fullname'

The output is /bin/sh commands to set the variable name to the GRASS data base file name, mapset to the mapset in which the file resides, and file to the full UNIX path name for the named file. These variables may be set in the /bin/sh as follows:

    eval `g.findfile element=name mapset=name file=name`

For example (raster map):

    eval `g.findfile element=cell file=mymap`

## NOTES

If the specified file does not exist, the variables will be set as follows:

    name=
    mapset=
    fullname=
    file=

The following is a way to test for this case:

    if [ ! "$file" ]
    then
    	exit
    fi

Note that region files are searched as element=windows.

## SEE ALSO

g.ask
g.filename
g.gisenv
g.mapsets
parser

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team